Rascalpi
Posts: 13
Joined: Sun May 13, 2018 3:55 pm

webiopi login pop up?

Sun May 27, 2018 4:10 pm

Hi - I installed webiopi but when I go to <myip>:8000 a login box comes up: sign in Username and Password
I was following the video https://www.youtube.com/watch?v=6RaBz01pi4E
Executing Webiopi - in the terminal gives:
  • webiopi
    2018-05-27 16:01:38 - WebIOPi - INFO - Starting WebIOPi/0.7.1/Python3.5
    2018-05-27 16:01:38 - WebIOPi - INFO - GPIO - Native mapped to REST API /GPIO
    2018-05-27 16:01:38 - WebIOPi - WARNING - Access unprotected
    2018-05-27 16:01:38 - WebIOPi - ERROR - [Errno 98] Address already in use
    Traceback (most recent call last):
    File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv6l.egg/webiopi/protocols/http.py", line 45, in __init__
    BaseHTTPServer.HTTPServer.__init__(self, ("", port), HTTPHandler)
    File "/usr/lib/python3.5/socketserver.py", line 440, in __init__
    self.server_bind()
    File "/usr/lib/python3.5/http/server.py", line 138, in server_bind
    socketserver.TCPServer.server_bind(self)
    File "/usr/lib/python3.5/socketserver.py", line 454, in server_bind
    self.socket.bind(self.server_address)
    OSError: [Errno 98] Address already in use

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
    File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv6l.egg/webiopi/__main__.py", line 75, in <module>
    main(sys.argv)
    File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv6l.egg/webiopi/__main__.py", line 69, in main
    server = Server(port=port, configfile=configfile, scriptfile=scriptfile)
    File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv6l.egg/webiopi/server/__init__.py", line 123, in __init__
    self.http_server = http.HTTPServer(self.host, http_port, self.restHandler, context, docroot, index, auth, realm)
    File "/usr/local/lib/python3.5/dist-packages/WebIOPi-0.7.1-py3.5-linux-armv6l.egg/webiopi/protocols/http.py", line 48, in __init__
    BaseHTTPServer.HTTPServer.__init__(self, ("", port), HTTPHandler)
    File "/usr/lib/python3.5/socketserver.py", line 440, in __init__
    self.server_bind()
    File "/usr/lib/python3.5/http/server.py", line 138, in server_bind
    socketserver.TCPServer.server_bind(self)
    File "/usr/lib/python3.5/socketserver.py", line 454, in server_bind
    self.socket.bind(self.server_address)
    OSError: [Errno 98] Address already in use
Not sure what login details it wants
regards
Russell

Rascalpi
Posts: 13
Joined: Sun May 13, 2018 3:55 pm

Re: webiopi login pop up?

Sun May 27, 2018 6:52 pm

Further : - I reinstalled but get a GPIO not defined error - I think webiopi doesn't like the model B Pi??

Return to “General discussion”